module.exports = {
	parser: "@typescript-eslint/parser",

	plugins: ["@typescript-eslint", "tsdoc"],

	extends: ["plugin:@typescript-eslint/recommended", "plugin:import/typescript"],

	rules: {
		/* typescript handles the return types */
		"consistent-return": "off",

		"tsdoc/syntax": "error",
		"@typescript-eslint/array-type": "off",
		"@typescript-eslint/explicit-function-return-type": [
			"error",
			{
				allowExpressions: true,
			},
		],
		"@typescript-eslint/explicit-member-accessibility": "error",
		"@typescript-eslint/no-extra-semi": "off",
		"@typescript-eslint/no-inferrable-types": "off",
		"@typescript-eslint/no-unused-vars": [
			"error",
			{
				ignoreRestSiblings: true,
				argsIgnorePattern: "^_",
			},
		],
	},
};
